Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » B3 » missing requirement while aggregation the polarion update site whith b3 aggregator
missing requirement while aggregation the polarion update site whith b3 aggregator [message #611609] Wed, 04 August 2010 16:51 Go to next message
Simon Linden is currently offline Simon LindenFriend
Messages: 35
Registered: July 2009
Member
Hello everybody,

im trying to aggregate the subversion connectors from the http://community.polarion.com/projects/subversive/donwload/e clipse/2.0/update-site for a local update site and I'm getting this error:

Cannot complete the install because one or more required items could not be found.
Software being installed: all.contributed.content.feature.group 1.0.0
Missing requirement: JavaHL 1.6.6 Win32 Binaries (Optional) 2.2.2.I20100512-1900 (org.polarion.eclipse.team.svn.connector.javahl16.win32.feat ure.group 2.2.2.I20100512-1900) requires 'org.polarion.eclipse.team.svn.connector.javahl16.win32 [2.2.2.I20100512-1900]' but it could not be found
Cannot satisfy dependency:
From: all.contributed.content.feature.group 1.0.0
To: org.polarion.eclipse.team.svn.connector.javahl16.win32.featu re.group 0.0.0

I added the update sitehttp://community.polarion.com/projects/subversive/donwlo ad/eclipse/2.0/update-siteas a "Mapped Repository" with no further configuration like "Bundles", "Features", Exclusion Rules" ...

Can anybody confirm this issue or doing I something wrong?

best regards & many thanks in advance
Re: missing requirement while aggregation the polarion update site whith b3 aggregator [message #611611 is a reply to message #611609] Wed, 04 August 2010 21:40 Go to previous message
Filip Hrbek is currently offline Filip HrbekFriend
Messages: 233
Registered: July 2009
Senior Member
This is a multi-part message in MIME format.
--------------010000090902090606020205
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

Hi Simon,

the problem is in the original repository definition. It contains features that require bundles that are filtered for win32 platform only. As soon as you verify your repository for a configuration different from win32, the verification fails.

You can modify your aggregation file to avoid this problem though. Add a Valid Configuration Rule to your mapped repository for each of the win32 specific features and assign the only valid configuration (win32/win32) to them. Then you should get no errors and it should be possible to mirror the repository. Adding a validation rule means that verification of matching feature will be skipped for all configurations other than those mentioned in the rule.

You will find an example of the aggregation definition with successful verification in the attached file.

Regards
Filip

Simon Linden wrote:
> Hello everybody,
>
> im trying to aggregate the subversion connectors from the http://community.polarion.com/projects/subversive/donwload/e clipse/2.0/update-site for a local update site and I'm getting this error:
>
> Cannot complete the install because one or more required items could not be found.
> Software being installed: all.contributed.content.feature.group 1.0.0
> Missing requirement: JavaHL 1.6.6 Win32 Binaries (Optional) 2.2.2.I20100512-1900 (org.polarion.eclipse.team.svn.connector.javahl16.win32.feat ure.group 2.2.2.I20100512-1900) requires 'org.polarion.eclipse.team.svn.connector.javahl16.win32 [2.2.2.I20100512-1900]' but it could not be found
> Cannot satisfy dependency:
> From: all.contributed.content.feature.group 1.0.0
> To: org.polarion.eclipse.team.svn.connector.javahl16.win32.featu re.group 0.0.0
>
> I added the update sitehttp://community.polarion.com/projects/subversive/donwlo ad/eclipse/2.0/update-siteas a "Mapped Repository" with no further configuration like "Bundles", "Features", Exclusion Rules" ...
>
> Can anybody confirm this issue or doing I something wrong?
>
> best regards & many thanks in advance


--------------010000090902090606020205
Content-Type: text/xml;
name="polarion.b3aggr"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
filename="polarion.b3aggr"

<?xml version="1.0" encoding="UTF-8"?>
<aggregator:Aggregator xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:aggregator="http://www.eclipse.org/b3/2010/aggregator/1.0.0" label="Polarion">
<configurations/>
<configurations operatingSystem="linux" windowSystem="gtk"/>
<contributions label="Polarion">
<repositories location=" http://community.polarion.com/projects/subversive/donwload/e clipse/2.0/update-site">
<mapRules xsi:type="aggregator:ValidConfigurationsRule" name=" org.polarion.eclipse.team.svn.connector.javahl.win32.feature .group " validConfigurations="//@configurations.0"/>
<mapRules xsi:type="aggregator:ValidConfigurationsRule" name=" org.polarion.eclipse.team.svn.connector.javahl15.win32.featu re.group " validConfigurations="//@configurations.0"/>
<mapRules xsi:type="aggregator:ValidConfigurationsRule" name=" org.polarion.eclipse.team.svn.connector.javahl16.win32.featu re.group " validConfigurations="//@configurations.0"/>
</repositories>
</contributions>
<validationRepositories location="http://download.eclipse.org/releases/helios"/>
</aggregator:Aggregator>

--------------010000090902090606020205--
Previous Topic:Unable to build Helios release with b3
Next Topic:Trouble installing b3 headless (3.6) under Windows
Goto Forum:
  


Current Time: Sun Nov 23 04:53:27 GMT 2014

Powered by FUDForum. Page generated in 0.01529 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software